Loading ...
Sorry, an error occurred while loading the content.
 

Re: [UPGRADE]: Apache::DBI 0.96 for mod_perl 2.0 RC5

Expand Messages
  • Kevin A. McGrail
    At the very worst, if you are using the AuthDBI portion of ApacheDBI, 0.94 is worthless with mp2: Fri Jun 24 18:01:08 2005] [error] Can t locate
    Message 1 of 11 , Jun 24 3:05 PM
      At the very worst, if you are using the AuthDBI portion of ApacheDBI, 0.94
      is worthless with mp2:

      Fri Jun 24 18:01:08 2005] [error] Can't locate Apache/Const.pm in @INC (@INC
      contains: /htdocs/gamma.thoughtworthy.com/html/lib
      /usr/local/lib/perl5/5.8.6/i686-linux /usr/local/lib/perl5/5.8.6
      /usr/local/lib/perl5/site_perl/5.8.6/i686-linux
      /usr/local/lib/perl5/site_perl/5.8.6 /usr/local/lib/perl5/site_perl .
      /usr/local/apache2) at
      /usr/local/lib/perl5/site_perl/5.8.6/Apache/AuthDBI.pm line 14.\nBEGIN
      failed--compilation aborted at
      /usr/local/lib/perl5/site_perl/5.8.6/Apache/AuthDBI.pm line 21.\nCompilation
      failed in require at
      /htdocs/gamma.thoughtworthy.com/html/admin/gammastartup.pl line 39.\nBEGIN
      failed--compilation aborted at
      /htdocs/gamma.thoughtworthy.com/html/admin/gammastartup.pl line
      39.\nCompilation failed in require at (eval 2) line 1.\n
      [Fri Jun 24 18:01:08 2005] [error] Can't load Perl file:
      /htdocs/gamma.thoughtworthy.com/html/admin/gammastartup.pl for server
      twm2005-dev.thoughtworthy.com:0, exiting...

      Regards,
      KAM

      ----- Original Message -----
      From: "Jan Eden" <lists@...>
      To: "Dan Sully" <daniel@...>; <modperl@...>
      Sent: Friday, June 24, 2005 5:59 PM
      Subject: Re: [UPGRADE]: Apache::DBI 0.96 for mod_perl 2.0 RC5


      > Dan Sully wrote on 24.06.2005:
      >
      > >* Jan Eden shaped the electrons to say...
      > >
      > >>>Ask - Can this version be released to CPAN?
      > >>>
      > >>>Apache::DBI as shipped from CPAN is completely useless on MP2.
      > >>>
      > >>
      > >>It is not. With the help of this list, I have been able to get it up
      > >
      > >Exactly. _With the help of this list_.
      > >
      > >One shouldn't need that. One should be able to download Apache::DBI
      > >from CPAN, and have it just work, according to all the documentation
      > >that's out there.
      > >
      > True. But I have to add that I am new to mod_perl and Apache::DBI, so most
      of the help was related to checking that things really work as they should.
      >
      > It turned out that Apache::DBI 0.94 worked right from the start, I was
      just not able to verify that until Perrin told me that 'disconnect
      (overloaded)' meant 'disconnect (overrun)'.
      >
      > Besides, if I can get a module to run, even if I need help to do so, I
      would not go so far as to call it completely useless.
      >
      > >Given that this is really a critical piece of infrastructure, I
      > >would go so far as to say it should be packaged with MP2 itself.
      >
      > Agreed.
      >
      > - Jan
      > --
      > Lead me not into temptation. I can find it myself. - Jeffrey Kaplan
      >
    Your message has been successfully submitted and would be delivered to recipients shortly.